Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core.proc
Class Find

    java.lang.Object
      org.basex.core.Progress
          org.basex.core.AbstractProcess
              org.basex.core.Process
                  org.basex.core.proc.Find

    public final class Find

extends Process

Evaluates the 'find' command.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.core.Process
`args`

Constructor Summary
`Find(java.lang.String q)` Constructor.

Method Summary
`static java.lang.String` | `find(java.lang.String query, Context ctx, boolean root)` Creates an XPath representation for the specified query.
`static java.lang.String` | `findTable(StringList filter, TokenList cols, BoolList elem, byte[] tag, Data data, boolean root)` Creates an XPath representation for the specified table query.

Methods inherited from class org.basex.core.Process
`args, data, error, execute, execute, info, info, info, name, output, printing, result, toString, updating`

Methods inherited from class org.basex.core.Progress
`checkStop, det, detail, prog, progress, progress, stop, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Find

    public Find(java.lang.String q)

  Constructor.

  Parameters:
    `q` - query

Method Detail

### find

    public static java.lang.String find(java.lang.String query,
                                        Context ctx,
                                        boolean root)

  Creates an XPath representation for the specified query.

  Parameters:
    `query` - query
    `ctx` - context reference
    `root` - root flag
  Returns:
    XPath query

### findTable

    public static java.lang.String findTable(StringList filter,
                                             TokenList cols,
                                             BoolList elem,
                                             byte[] tag,
                                             Data data,
                                             boolean root)

  Creates an XPath representation for the specified table query.

  Parameters:
    `filter` - filter terms
    `cols` - filter columns
    `elem` - element flag
    `tag` - root tag
    `data` - data reference
    `root` - root flag
  Returns:
    XPath xpath expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD